List custom fields
GET/api/custom-fields
Requires "Custom Fields" feature to be enabled.
Request
Query Parameters
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
Possible values: [project_plan]
Filter items by the domain field.
Possible values: [options]
Include one or more relations in the response, separated by commas.
When available, use dot-notation to retrieve nested relations.
You can request any level of a nested relation, (e.g. relation or relation.nested or relation.nested.deeplyNested).
Possible values: [name, sort]
Order the results by one or more attributes, separated by commas.
Prefix an attribute with - for descending order or + for ascending order.
If no prefix is provided, the default order is ascending.
Search for entities by a specific string.
Possible values: >= 1 and <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Possible values: [exclude, include, only]
Default value: exclude
Filter items by deletion status.
Filter items by the deleted_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Possible values: [exclude, include, only]
Default value: include
Filter items by archival status.
Filter items by the archived_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of custom fields.
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 255 characters
The custom field name
The custom field description
The custom field type
The domain the custom field is bound to
Whether a value is required for this custom field
The sort position of the custom field
options
object[]
The list of options of this custom field. Only available when type is single_option, status or multi_select.
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 255 characters
The custom field option name
The hex color code of the option
The sort position of the option
The id of the custom field this option belongs to
The date and time when the resource was deleted
The date and time when the resource was archived
The date and time when the resource was deleted
[
{
"id": 1,
"created_at": "2026-06-12T11:36:10.233Z",
"updated_at": "2026-06-12T11:36:10.233Z",
"name": "Priority",
"description": "The task priority",
"type": "single_option",
"domain": "project_plan",
"required": false,
"sort": 1,
"options": [
{
"id": 1,
"created_at": "2026-06-12T11:36:10.233Z",
"updated_at": "2026-06-12T11:36:10.233Z",
"name": "High",
"color": "#224455",
"sort": 1,
"custom_field_id": 1,
"deleted_at": "2026-06-12T11:36:10.233Z"
}
],
"archived_at": "2026-06-12T11:36:10.233Z",
"deleted_at": "2026-06-12T11:36:10.233Z"
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
Array [
]
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "precondition_failure",
"message": "string"
}